# 72. Užklausa: gauti gardelinius duomenis kaip GeoJSON arba GeoTIFF

Užklausa gauti tinkleliu pateiktus duomenis iš duomenų rinkinių, tokių kaip „FieldSatelliteImage“, „TopographyMap“, „SoilDataset“, „YieldDataset“, „AsAppliedDataset“, „VectorAnalysisMap“, kaip `GEOJSON` su taškais arba `GEOTIFF`.&#x20;

{% hint style="danger" %}
Rekomenduojama gauti tik vieną duomenų rinkinį su `sourceDataUrl` kiekvienam užklausos prašymui.&#x20;
{% endhint %}

`GEOTIFF` ir `GEOJSON` prieinami kaip `formatų`.

{% hint style="danger" %}
`sourceDataUrl` nuoroda prieinama tik **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
užklausa GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    pavadinimas
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      pavadinimas
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOTIFF)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/72.-uzklausa-gauti-gardelinius-duomenis-kaip-geojson-arba-geotiff.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
